# This file is part of cloud-init. See LICENSE file for license information.

from cloudinit.distros import rhel
from cloudinit import log as logging
import re
import os.path
from cloudinit import util
LOG = logging.getLogger(__name__)


class Distro(rhel.Distro):
    def __init__(self, name, cfg, path):
        rhel.Distro.__init__(self, name, cfg, path)
        self.cname = 'Rocky'
        self.rpmgpgkey_path = None


    def get_fn_release(self):
        check_files = ('/etc/redhat-release',
                       '/etc/rocky-release')
        for fn in check_files:
            if os.path.exists(fn):
                out = re.search(r"\d+(\.\d+)?",util.load_file(fn).strip())
                if out: return out.group()
        return ''

# vi: ts=4 expandtab
